com.taosdata.jdbc

## Class SchemalessWriter

- java.lang.Object
- - com.taosdata.jdbc.SchemalessWriter

All Implemented Interfaces:
  AutoCloseable

Deprecated.
This class will be removed in future. Please use writer functions in connection object instead.

    @Deprecated
    public class SchemalessWriter
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
Constructor and Description
`SchemalessWriter(Connection connection)` Deprecated.
`SchemalessWriter(Connection connection, String dbName)` Deprecated.
`SchemalessWriter(String url)` Deprecated.
`SchemalessWriter(String url, String cloudToken)` Deprecated.
`SchemalessWriter(String url, String username, String password)` Deprecated.
`SchemalessWriter(String url, String username, String password, String dbName)` Deprecated.
`SchemalessWriter(String host, String port, String cloudToken, String dbName, Boolean useSSL)` Deprecated.
`SchemalessWriter(String url, String user, String password, String cloudToken, String dbName, Boolean useSSL)` Deprecated.
`SchemalessWriter(String host, String port, String user, String password, String dbName, String type)` Deprecated.
`SchemalessWriter(String host, String port, String user, String password, String dbName, String type, Boolean useSSL)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` Deprecated.
`void` `write(List<String> lines, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType)` Deprecated. batch schemaless lines write to db with list
`void` `write(String[] lines, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType)` Deprecated. batch schemaless lines write to db
`void` `write(String[] lines, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType, Integer ttl, Long reqId)` Deprecated.
`void` `write(String[] lines, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType, String dbName, Integer ttl, Long reqId)` Deprecated.
`void` `write(String line, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType)` Deprecated. only one line writes to db
`int` `writeRaw(String line, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType)` Deprecated.
`int` `writeRaw(String line, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType, Integer ttl, Long reqId)` Deprecated.
`int` `writeRaw(String line, SchemalessProtocolType protocolType, SchemalessTimestampType timestampType, String dbName, Integer ttl, Long reqId)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemalessWriter

    public SchemalessWriter(Connection connection)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(Connection connection,
                            String dbName)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String url)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String url,
                            String cloudToken)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String url,
                            String username,
                            String password)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String url,
                            String username,
                            String password,
                            String dbName)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String url,
                            String user,
                            String password,
                            String cloudToken,
                            String dbName,
                            Boolean useSSL)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String host,
                            String port,
                            String cloudToken,
                            String dbName,
                            Boolean useSSL)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String host,
                            String port,
                            String user,
                            String password,
                            String dbName,
                            String type)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

#### SchemalessWriter

    public SchemalessWriter(String host,
                            String port,
                            String user,
                            String password,
                            String dbName,
                            String type,
                            Boolean useSSL)
                     throws SQLException

Deprecated.

Throws:
  `SQLException`

### Method Detail

#### write

    public void write(String[] lines,
                      SchemalessProtocolType protocolType,
                      SchemalessTimestampType timestampType)
               throws SQLException

Deprecated.
batch schemaless lines write to db

Parameters:
  `lines` - schemaless lines
  `protocolType` - schemaless type `SchemalessProtocolType`
  `timestampType` - Time precision `SchemalessTimestampType`
Throws:
  `SQLException` - execute exception

#### write

    @Deprecated
    public void write(String[] lines,
                                  SchemalessProtocolType protocolType,
                                  SchemalessTimestampType timestampType,
                                  String dbName,
                                  Integer ttl,
                                  Long reqId)
                           throws SQLException

Deprecated.

Throws:
  `SQLException`

#### write

    public void write(String[] lines,
                      SchemalessProtocolType protocolType,
                      SchemalessTimestampType timestampType,
                      Integer ttl,
                      Long reqId)
               throws SQLException

Deprecated.

Throws:
  `SQLException`

#### write

    public void write(String line,
                      SchemalessProtocolType protocolType,
                      SchemalessTimestampType timestampType)
               throws SQLException

Deprecated.
only one line writes to db

Parameters:
  `line` - schemaless line
  `protocolType` - schemaless type `SchemalessProtocolType`
  `timestampType` - Time precision `SchemalessTimestampType`
Throws:
  `SQLException` - execute exception

#### write

    public void write(List<String> lines,
                      SchemalessProtocolType protocolType,
                      SchemalessTimestampType timestampType)
               throws SQLException

Deprecated.
batch schemaless lines write to db with list

Parameters:
  `lines` - schemaless list
  `protocolType` - schemaless type `SchemalessProtocolType`
  `timestampType` - Time precision `SchemalessTimestampType`
Throws:
  `SQLException` - execute exception

#### writeRaw

    public int writeRaw(String line,
                        SchemalessProtocolType protocolType,
                        SchemalessTimestampType timestampType)
                 throws SQLException

Deprecated.

Throws:
  `SQLException`

#### writeRaw

    @Deprecated
    public int writeRaw(String line,
                                    SchemalessProtocolType protocolType,
                                    SchemalessTimestampType timestampType,
                                    String dbName,
                                    Integer ttl,
                                    Long reqId)
                             throws SQLException

Deprecated.

Throws:
  `SQLException`

#### writeRaw

    public int writeRaw(String line,
                        SchemalessProtocolType protocolType,
                        SchemalessTimestampType timestampType,
                        Integer ttl,
                        Long reqId)
                 throws SQLException

Deprecated.

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Deprecated.

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `SQLException`